<?php
/*
Plugin Name: WP Pro Ad System Add-On Region Data
Plugin URI: http://www.wpplugins.be/wp-pro-advertising-system/
Description: Pro Ad System Add-On to show different advertisements for specific countries.
Author: Niels M.
Version: 1.1
Author URI: http://www.nielsmusschoot.com
*/

require_once('includes/country_functions.php');

// Global variables
global $addon_id_region_data;
global $wp_ads_addon_region_path;
global $wp_ads_addon_region_abs_path;

// Addon id
$addon_id_region_data = 1;

//Plugin Path
$wp_ads_addon_region_path = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__));
$wp_ads_addon_region_abs_path = ABSPATH. 'wp-content/plugins/' .str_replace(basename( __FILE__),"",plugin_basename(__FILE__));




/*
 * Create country database
*/
function create_pro_ad_addon_country_db_tables()
{
	global $wpdb, $addon_id_region_data, $wp_ads_addon_region_abs_path;
	require_once(ABSPATH . 'wp-admin/upgrade-functions.php');
		
	// Plugin info
	$pro_ad_addon = array(
		'id'          => $addon_id_region_data,
		'name'        => 'pro ads region data',
		'description' => 'This plugin allows you to show specific banners to users from sprecific countries.',
		'version'     => '1.1',
		'link'        => 'http://www.wpplugins.be',
		'path'        => $wp_ads_addon_region_abs_path
	);
		
		
	$table_country   = $wpdb->prefix . 'ad_pro_system_addon_ip2nation';
	$table_countries = $wpdb->prefix . 'ad_pro_system_addon_ip2nationCountries'; 
		
	if($wpdb->get_var("show tables like '".$table_country."'") != $table_country)
	{
		
		$sql_country = "CREATE TABLE " . $table_country . " (
			ip int(11) unsigned NOT NULL default '0',
			country char(2) NOT NULL default '',
			KEY ip (ip)
		);";
				
		$sql_countries = "CREATE TABLE " . $table_countries . " (
			code varchar(4) NOT NULL default '',
			iso_code_2 varchar(2) NOT NULL default '',
			iso_code_3 varchar(3) default '',
			iso_country varchar(255) NOT NULL default '',
			country varchar(255) NOT NULL default '',
			lat float NOT NULL default '0',
			lon float NOT NULL default '0',  
			PRIMARY KEY  (code),
			KEY code (code)
		);";
			
		dbDelta($sql_country);
		dbDelta($sql_countries);
					
		$filename = $wp_ads_addon_region_abs_path.'includes/ip2nation.sql';
		
		if(file_exists( $filename )) 
		{
			$lines = file( $filename );
		
			if (is_array($lines)) 
			{
				foreach ($lines as $line) 
				{
					$line = trim($line);				
					$line = str_replace(';', '', $line);
					$line = str_replace('ip2nation', $wpdb->prefix . 'ad_pro_system_addon_ip2nation', $line);	
					$wpdb->query( "$line" );
				}	
			}
		}
	}
		
		
	/*
	 * Update main database
	*/
	pro_ads_update_addons_db( $pro_ad_addon );

}

if( function_exists( 'pro_ads_update_addons_db' ) )
{
	register_activation_hook( __FILE__, 'create_pro_ad_addon_country_db_tables' );
}



/*
 * If user deactivates the plugin
*/
function deactivate_pro_ad_addon_country_addon()
{
	global $wpdb, $addon_id_region_data;
	/*
	 * Update main database
	*/
	$wpdb->query("UPDATE " . $wpdb->prefix . "ad_pro_system_list_addons SET installed = '0'	WHERE addon_id = '".$addon_id_region_data."' ");
}
register_deactivation_hook( __FILE__, 'deactivate_pro_ad_addon_country_addon' );



/*
 * If user removes the plugin
*/
function uninstall_pro_ad_addon_country_addon()
{
	global $wpdb, $addon_id_region_data;
	/*
	 * Update main database
	*/
	$wpdb->query("DELETE FROM " . $wpdb->prefix . "ad_pro_system_list_addons WHERE addon_id = '".$addon_id_region_data."' ");
}
register_uninstall_hook( __FILE__, 'uninstall_pro_ad_addon_country_addon' );


?>