<?php
/*
 * ADVERTISERS
*/
function pro_ad_create_advertiser( $arr )
{
	global $wpdb;
	$check = $wpdb->get_var("SELECT COUNT(*) FROM ".$wpdb->prefix."ad_pro_system_advertisers WHERE name = '".$arr['name']."' ");
	
	if( !$check )
	{
		
		$wpdb->query("INSERT INTO " . $wpdb->prefix . "ad_pro_system_advertisers SET name       = '".$arr['name']."',
																					 email      = '".$arr['email']."',
																					 wp_user_id = '".$arr['wp_user_id']."'
		");
		
		$err = 0;
	}
	else
	{
		$err = 1;
	}
	return $err;
}


function pro_ad_update_advertiser( $arr )
{
	global $wpdb;
	$wpdb->query("UPDATE " . $wpdb->prefix . "ad_pro_system_advertisers SET name  = '".$arr['name']."',
																			 email = '".$arr['email']."'
				  WHERE id = '".$arr['id']."'								
	");
	
}


function pro_ad_remove_advertiser( $id )
{
	global $wpdb;
	$check = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."ad_pro_system_advertisers WHERE id = '".$id."' ");
	
	if( $check )
	{
		// check if the advertiser also is an WP user
		if( !empty( $check[0]->wp_user_id ) )
		{
			update_user_meta( $check[0]->wp_user_id, '_pro_ad_advertiser', '' );
		}
		
		// remove banners from this advertiser
		$wpdb->query("DELETE FROM " . $wpdb->prefix . "ad_pro_system_banners WHERE advertiser_id = '".$id."' ");
		// remove campaigns from this advertiser
		$wpdb->query("DELETE FROM " . $wpdb->prefix . "ad_pro_system_campaigns WHERE advertiser_id = '".$id."' ");
		$wpdb->query("DELETE FROM " . $wpdb->prefix . "ad_pro_system_advertisers WHERE id = '".$id."' ");
	}
}


function pro_ad_load_advertisers( $query = '' )
{
	global $wpdb;
	$res = $wpdb->get_results("SELECT * FROM " . $wpdb->prefix . "ad_pro_system_advertisers ".$query );
	return $res;
}




/*
 * CAMPAIGNS
*/

function pro_ad_create_campaign( $arr )
{
	global $wpdb;
	$check = $wpdb->get_var("SELECT COUNT(*) FROM ".$wpdb->prefix."ad_pro_system_campaigns WHERE name = '".$arr['name']."' ");
	
	if( !$check )
	{
		// Create startdate
		$dt = explode('.', $arr['start_date']);
		$sdate = mktime(0,0,0,$dt[1],$dt[0],$dt[2]);
		$startdate = empty( $arr['start_date'] ) ? time() : $sdate;
		
		// Create enddate
		if( !empty( $arr['end_date'] ))
		{
			$dt = explode('.', $arr['end_date']);
			$edate = mktime(0,0,0,$dt[1],$dt[0],$dt[2]);
		}
		$enddate = empty( $arr['end_date'] ) ? '' : $edate;
		
		$status = pro_ad_get_campaign_status( 1, $startdate, $enddate );
		
		// Insert Campaign
		$wpdb->query("INSERT INTO " . $wpdb->prefix . "ad_pro_system_campaigns SET name          = '".$arr['name']."',
																				   start_date    = '".$startdate."',
																				   end_date      = '".$enddate."',
																				   status        = '".$status."',
																				   advertiser_id = '".$arr['aid']."'
		");
		
		$err = 0;
	}
	else
	{
		$err = 1;
	}
	return $err;
}

function pro_ad_update_campaign( $arr )
{
	global $wpdb;
	
	// Create startdate
	$dt = explode('.', $arr['start_date']);
	$sdate = mktime(0,0,0,$dt[1],$dt[0],$dt[2]);
	$startdate = empty( $arr['start_date'] ) ? time() : $sdate;
		
	// Create enddate
	if( !empty( $arr['end_date'] ))
	{
		$dt = explode('.', $arr['end_date']);
		$edate = mktime(0,0,0,$dt[1],$dt[0],$dt[2]);
	}
	$enddate = empty( $arr['end_date'] ) ? '' : $edate;
	
	$st = empty( $arr['status'] ) ? 1 : $arr['status'];
	$status = pro_ad_get_campaign_status( $st, $startdate, $enddate );
	
	// Update campaign
	$wpdb->query("UPDATE " . $wpdb->prefix . "ad_pro_system_campaigns SET name       = '".$arr['name']."',
																		  start_date = '".$startdate."',
																		  end_date   = '".$enddate."',
																		  status     = '".$status."'
				  WHERE id = '".$arr['id']."'								
	");
}


function pro_ad_remove_campaign( $id )
{
	global $wpdb;
	$check = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."ad_pro_system_campaigns WHERE id = '".$id."' LIMIT 1 ");
	
	if( $check )
	{
		// remove all banners from this campaign
		$wpdb->query("DELETE FROM " . $wpdb->prefix . "ad_pro_system_banners WHERE campaign_id = '".$id."' ");
		$wpdb->query("DELETE FROM " . $wpdb->prefix . "ad_pro_system_campaigns WHERE id = '".$id."' ");
	}
}


function pro_ad_load_campaigns( $query = '' )
{
	global $wpdb;
	$res = $wpdb->get_results("SELECT * FROM " . $wpdb->prefix . "ad_pro_system_campaigns ".$query );
	return $res;
}


function pro_ad_get_campaign_status( $status, $sdate, $edate )
{	
	$now = time();
	if( $now < $sdate )
	{
		$status = 3;
	}
	elseif( !empty( $edate) && $now > $edate )
	{
		$status = 0;
	}
	
	return $status;
}

function pro_ad_output_campaign_status( $status, $sdate, $edate )
{
	$arr = array(
		0 => '<div style="font-size:11px; color:#F27059;">Ended</div>',
		1 => '<div style="font-size:11px; color:#00B05D;">Running</div>',
		2 => '<div style="font-size:11px;">Paused</div>',
		3 => '<div style="font-size:11px; color:#999;">Draft <small><em>(Starts '.date('d.M.Y', $sdate).')</em></small></div>'
	);
	
	return $arr[$status];
}





/*
 * BANNERS
*/
function pro_ad_create_banner( $arr )
{
	global $wpdb;
	
	if( !empty( $arr['file']['url'] ) || !empty( $arr['banner_url'] ))
	{
		$url = !empty( $arr['file']['url'] ) ? $arr['file']['url'] : $arr['banner_url'];
		$sz = getimagesize( $url );
		$size = $sz['0'].'x'.$sz[1];
	}
	
	$wpdb->query("INSERT INTO " . $wpdb->prefix . "ad_pro_system_banners SET name          = '".$arr['name']."',
																			 url           = '".$arr['url']."',
																			 target        = '".$arr['target']."',
																			 status        = '".$arr['status']."',
																			 plan          = '".$arr['plan']."',
																			 file          = '".$arr['file']['url']."',
																			 ext_file      = '".$arr['banner_url']."',
																			 size          = '".$size."',
																			 custom_size   = '".$arr['custom_size']."',
																			 html          = '".$arr['html']."',
																			 add_timestamp = '".$arr['add_timestamp']."',
																			 advertiser_id = '".$arr['aid']."',
																			 campaign_id   = '".$arr['cid']."',
																			 country       = '".$arr['country']."'
																			 
	");
	
	$err = 0;
	return $err;
}

function pro_ad_update_banner( $arr )
{
	global $wpdb;
	
	if( empty( $arr['file']['url'] ) && empty( $arr['banner_url'] ) && empty( $arr['html'] ) )
	{
		$res = pro_ad_load_banners( "WHERE id = '".$arr['id']."' LIMIT 1" );
		
		$arr['file']['url'] = $res[0]->file;
		$arr['banner_url']  = $res[0]->ext_file;
		$arr['html']        = $res[0]->html;
	}
	
	if( !empty( $arr['file']['url'] ) || !empty( $arr['banner_url'] ))
	{
		$url = !empty( $arr['file']['url'] ) ? $arr['file']['url'] : $arr['banner_url'];
		$sz = getimagesize( $url );
		$size = $sz['0'].'x'.$sz[1];
	}
	
	$wpdb->query("UPDATE " . $wpdb->prefix . "ad_pro_system_banners SET name  = '".$arr['name']."',
																	    url           = '".$arr['url']."',
																		target        = '".$arr['target']."',
																		status        = '".$arr['status']."',
																		plan          = '".$arr['plan']."',
																		file          = '".$arr['file']['url']."',
																		ext_file      = '".$arr['banner_url']."',
																		size          = '".$size."',
																		custom_size   = '".$arr['custom_size']."',
																		html          = '".$arr['html']."',
																		add_timestamp = '".$arr['add_timestamp']."',
																		country       = '".$arr['country']."'
				  WHERE id = '".$arr['id']."'								
	");
}


function pro_ad_remove_banner( $id )
{
	global $wpdb;
	$check = $wpdb->get_var("SELECT COUNT(*) FROM ".$wpdb->prefix."ad_pro_system_banners WHERE id = '".$id."' ");
	
	if( $check )
	{
		$wpdb->query("DELETE FROM " . $wpdb->prefix . "ad_pro_system_banners WHERE id = '".$id."' ");
	}
}


function pro_ad_load_banners( $query= '' )
{
	global $wpdb;
	$res = $wpdb->get_results("SELECT * FROM " . $wpdb->prefix . "ad_pro_system_banners ".$query );
	return $res;
}




/*
 * SHOW BANNER
*/
function pro_ad_show_banner( $url, $link = '', $target = '_blank', $id = '' )
{
	global $wpdb, $wp_ads_path;
	
	if( !empty( $id ))
	{
		$banner = pro_ad_load_banners( "WHERE id = '".$id."' LIMIT 1" );
	}
	
	// Check for custom size
	if( !empty( $banner[0]->custom_size ) )
	{
		$custom_size = explode('x', $banner[0]->custom_size);
	}
	
	
		$path_info = pathinfo( $url );
		if( $path_info['extension'] == 'swf' )
		{
			if( !empty( $banner[0]->size ))
			{
				$size = explode('x', $banner[0]->size);
			}
			else
			{
				$size = getimagesize( $url );
			}
			
			$size = !empty( $custom_size ) ? $custom_size : $size;
			
			
			$res = '<object width="'.$size[0].'" height="'.$size[1].'"><param name="movie" value="'.$url.'"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><param name="wmode" value="transparent"></param><embed src="'.$url.'" type="application/x-shockwave-flash" width="'.$size[0].'" height="'.$size[1].'" allowscriptaccess="always" allowfullscreen="true"></embed></object>';
		}
		else
		{
			if( !empty( $custom_size ))
			{
				$res = '<img src="'.$url.'" alt="'.$banner[0]->name.'" width="'.$custom_size[0].'" height="'.$custom_size[1].'" />';
			}
			else
			{
				$res = '<img src="'.$url.'" alt="'.$banner[0]->name.'" />';
			}
		}
		
		
		if( !empty( $link ) )
		{
			$res = '<a href="'.get_bloginfo('url').'?ad_click='.$id.'" target="'.$target.'">'.$res.'</a>';
		}
	
	
	
	return $res;	
}


function pro_ad_check_banner_type( $ad )
{
	if( !empty( $ad->file ))
	{
		$arr = array(
			'file' => $ad->file,
			'type' => 'file'
		);
	}
	elseif( !empty( $ad->ext_file ))
	{
		$arr = array(
			'file' => $ad->ext_file,
			'type' => 'ext_file'
		);
	}
	elseif( !empty( $ad->html ))
	{
		$arr = array(
			'file' => $ad->html,
			'type' => 'html'
		);
	}
	
	return $arr;
}




function pro_ad_get_banner_status( $status, $sdate, $edate )
{	
	$now = time();
	if( $now < strtotime( $sdate ) )
	{
		$status = 2;
	}
	elseif( !empty( $edate) && $now > strtotime( $edate ) )
	{
		$status = 2;
	}
	
	return $status;
}



function pro_ad_output_banner_status( $status )
{
	$arr = array(
		0 => '<div style="font-size:11px; color:#F27059;">Inactive</div>',
		1 => '<div style="font-size:11px; color:#00B05D;">Active</div>',
		2 => '<div style="font-size:11px;">Awaiting Payment</div>'
	);
	
	return $arr[$status];
}





/*
 * AD ZONES
*/
function pro_ad_create_adzone( $arr )
{
	global $wpdb;
	$check = $wpdb->get_var("SELECT COUNT(*) FROM ".$wpdb->prefix."ad_pro_system_adzones WHERE name = '".$arr['name']."' ");
	
	if( !$check )
	{
		
		$size   = $arr['size'] == 'custom' ? $arr['custom_w'].'x'.$arr['custom_h'] : $arr['size'];
		$custom = $arr['size'] == 'custom' ? 1 : '';
		
		// Check if there are more banners to show at once.
		$atonce = !empty( $arr['atonce_h'] ) ? $arr['atonce_h'].'x'.$arr['atonce_v'] : 0;
		
		$wpdb->query("INSERT INTO " . $wpdb->prefix . "ad_pro_system_adzones SET name          = '".$arr['name']."',
																				 description   = '".$arr['desc']."',
																				 size          = '".$size."',
																				 atonce        = '".$atonce."',
																				 custom        = '".$custom."',
																				 rotation      = '".$arr['rotation']."',
																				 rotation_time = '".$arr['rotation_time']."',
																				 banner_price  = '".$arr['banner_price']."'
		");
		
		$err = 0;
	}
	else
	{
		$err = 1;
	}
	return $err;
}


function pro_ad_update_adzone( $arr )
{
	global $wpdb;
	$size   = $arr['size'] == 'custom' ? $arr['custom_w'].'x'.$arr['custom_h'] : $arr['size'];
	$custom = $arr['size'] == 'custom' ? 1 : '';
	
	// Check if there are more banners to show at once.
	$atonce = !empty( $arr['atonce_h'] ) ? $arr['atonce_h'].'x'.$arr['atonce_v'] : 0;
		
	$wpdb->query("UPDATE " . $wpdb->prefix . "ad_pro_system_adzones SET name          = '".$arr['name']."',
																		description   = '".$arr['desc']."',
																		size          = '".$size."',
																		atonce        = '".$atonce."',
																		custom        = '".$custom."',
																		rotation      = '".$arr['rotation']."',
																	    rotation_time = '".$arr['rotation_time']."',
																		banner_price  = '".$arr['banner_price']."'
				  WHERE id = '".$arr['id']."'								
	");
}


function pro_ad_remove_adzone( $id )
{
	global $wpdb;
	$check = $wpdb->get_var("SELECT COUNT(*) FROM ".$wpdb->prefix."ad_pro_system_adzones WHERE id = '".$id."' ");
	
	if( $check )
	{
		$wpdb->query("DELETE FROM " . $wpdb->prefix . "ad_pro_system_adzones WHERE id = '".$id."' ");
	}
}


function pro_ad_load_adzones( $query = '' )
{
	global $wpdb;
	$res = $wpdb->get_results("SELECT * FROM " . $wpdb->prefix . "ad_pro_system_adzones ".$query );
	return $res;
}


function pro_ad_output_adzone_size( $size, $custom = 0 )
{
	if( !$custom )
	{
		$arr = array(
			'468x60'  => 'IAB Full Banner (468 x 60)',
			'120x600' => 'IAB Skyscraper (120 x 600)',
			'728x90'  => 'IAB Leaderboard (728 x 90)',
			'300x250' => 'IAB Medium Rectangle (300 x 250)',
			'120x90'  => 'IAB Button 1 (120 x 90)',
			'160x600' => 'IAB Wide Skyscraper (160 x 600)',
			'120x60'  => 'IAB Button 2 (120 x 60)',
			'125x125' => 'IAB Square Button (125 x 125)',
			'180x150' => 'IAB Rectangle (180 x 150)'
		);
		
		return $arr[$size];
	}
	else
	{
		$sz = explode('x', $size);	
		return 'Custom ('.$sz[0].' x '.$sz[1].')';
	}
}








/*
 * LOAD STATISTICS
*/
function pro_ad_load_stats( $query = '' )
{
	global $wpdb;
	$res = $wpdb->get_results("SELECT * FROM " . $wpdb->prefix . "ad_pro_system_stats ".$query );
	return $res;
}


function pro_ad_count_stats( $stats, $range = 0 )
{
	global $wpdb;
	$clicks = 0;
	
	for( $i = 0; $i < count( $stats ); $i++ )
	{
		
		// COUNT CLICKS
		if( !empty( $stats[$i]->clicks ))
		{
			$array = unserialize(stripslashes( $stats[$i]->clicks ));
			for( $a = 0; $a < count( $array ); $a++ )
			{
				if( $range == 0 )
				{
					// Show all clicks
					$clicks = $clicks + 1;
				}
				else
				{
					// Show clicks from within a 2 date range
					$time = explode('-', $range);
					
					if( $array[$a]['date'] >= $time[0] && $array[$a]['date'] <= $time[1] )
					{
						$clicks = $clicks + 1;
					}
				}
			}
		}
		
		// COUNT IMPRESSIONS
		if( !empty( $stats[$i]->impressions ))
		{
			$array = unserialize(stripslashes( $stats[$i]->impressions ));
			for( $a = 0; $a < count( $array ); $a++ )
			{
				if( $range == 0 )
				{
					// Show all clicks
					$impr = $impr + 1;
				}
				else
				{
					// Show clicks from within a 2 date range
					$time = explode('-', $range);
					
					if( $array[$a]['date'] >= $time[0] && $array[$a]['date'] <= $time[1] )
					{
						$impr = $impr + 1;
					}
				}
			}
		}
	}
	
	$clicks = $clicks ? $clicks : 0;
	$impr   = $impr ? $impr : 0;
	
	$arr = array(
		'clicks' => $clicks,
		'impr'   => $impr
	);
	
	return $arr;
}




/*
 * UPDATE IMPRESSIONS
*/
function pro_ad_updt_impr( $ads )
{
	global $wpdb;
	
	$stats = pro_ad_load_stats( "WHERE advertiser_id = '".$ads->advertiser_id."' AND campaign_id = '".$ads->campaign_id."' AND banner_id = '".$ads->id."' LIMIT 1" );
	
	$arr1 = array(
		'date'       => time(),
		'ip_address' => $_SERVER['REMOTE_ADDR'],
		'impr'       => 1
	);
		
	if( count( $stats ))
	{
		$arr = unserialize(stripslashes( $stats[0]->impressions ));
		
		$arr[] = $arr1;
	
		$wpdb->query("UPDATE " . $wpdb->prefix . "ad_pro_system_stats SET impressions = '".addslashes(serialize( $arr ))."'
					  WHERE id = '".$stats[0]->id."'	  																		 
		");
	}
	else
	{
		$arr[] = $arr1;
		
		$wpdb->query("INSERT INTO " . $wpdb->prefix . "ad_pro_system_stats SET advertiser_id   = '".$ads->advertiser_id."',
																		       campaign_id     = '".$ads->campaign_id."',
																		  	   banner_id       = '".$ads->id."',
																		   	   date            = '".time()."',
																		       ip_address      = '".$_SERVER['REMOTE_ADDR']."',
																		       impressions     = '".addslashes(serialize( $arr ))."'
																			 
		");
	}
}






/*
 * CHECK FOR FINISHED CAMPAIGNS
 * This function checks if there are any campaigns that need to be finished
*/
function pro_ad_finish_campaigns()
{
	global $wpdb;
	$campaigns = pro_ad_load_campaigns( "WHERE status = 1 ORDER BY id DESC" );
	
	for( $i = 0; $i < count( $campaigns ); $i++ )
	{
		$status = pro_ad_get_campaign_status( $campaigns[$i]->status, $campaigns[$i]->start_date, $campaigns[$i]->end_date );
		if( !$status )
		{
			// Update campaign
			$wpdb->query("UPDATE " . $wpdb->prefix . "ad_pro_system_campaigns SET status = '".$status."'
						  WHERE id = '".$campaigns[$i]->id."'								
			");
		}
	}
}





/*
 * CHECK FOR FINISHED BANNERS
*/
function pro_ad_finish_banners()
{
	global $wpdb;
	$banners = pro_ad_load_banners( "WHERE status = 1 ORDER BY id DESC" );
	
	for( $i = 0; $i < count( $banners ); $i++ )
	{
		if( $banners[$i]->end_date != '0000-00-00 00:00:00' )
		{
			$status = pro_ad_get_banner_status( $banners[$i]->status, $banners[$i]->start_date, $banners[$i]->end_date );
			if( $status )
			{
				// Update banner status
				$wpdb->query("UPDATE " . $wpdb->prefix . "ad_pro_system_banners SET status = '".$status."'
							  WHERE id = '".$banners[$i]->id."'								
				");
			}
		}
	}
}






/*
 * Load addons
*/
function pro_ads_load_addons( $query = '' )
{
	global $wpdb;
	$res = $wpdb->get_results("SELECT * FROM " . $wpdb->prefix . "ad_pro_system_list_addons ".$query );
	return $res;
}



/*
 * UPDATE ADDONS DATABASE
*/
function pro_ads_update_addons_db( $pro_ad_addon )
{
	global $wpdb;
	$addon = pro_ads_load_addons( "WHERE addon_id = '".$pro_ad_addon['id']."' LIMIT 1" );
	
	if( !count( $addon ) )
	{
		$wpdb->query("INSERT INTO " . $wpdb->prefix . "ad_pro_system_list_addons SET addon_id    = '".$pro_ad_addon['id']."',	
																				     name        = '".$pro_ad_addon['name']."',
																		             description = '".$pro_ad_addon['description']."',
																		   	         version     = '".$pro_ad_addon['version']."',
																		             link        = '".$pro_ad_addon['link']."',
																					 path        = '".$pro_ad_addon['path']."',
																				     installed   = '1'							
		");
	}
	else
	{
		$wpdb->query("UPDATE " . $wpdb->prefix . "ad_pro_system_list_addons SET name        = '".$pro_ad_addon['name']."',
																		        description = '".$pro_ad_addon['description']."',
																		        version     = '".$pro_ad_addon['version']."',
																		        link        = '".$pro_ad_addon['link']."',
																				path        = '".$pro_ad_addon['path']."',
																		        installed   = '1'	
					  WHERE addon_id = '".$pro_ad_addon['id']."'								
		");
	}
}







/*
 * LOAD OPTIONS
*/
function pro_ads_load_options( $query = '' )
{
	global $wpdb;
	$res = $wpdb->get_results("SELECT * FROM " . $wpdb->prefix . "ad_pro_system_options ".$query);
	
	return $res;
}



/*
 * UPDATE OPTIONS 
*/
function wp_pro_ads_update_options( $arr )
{
	global $wpdb;
	$wpdb->query("UPDATE " . $wpdb->prefix . "ad_pro_system_options SET show_empty_adzones = '".$arr['show_empty_adzones']."' ");
}
?>