<?php
global $wp_ads_path;

if( $_SERVER['REQUEST_METHOD'] == 'POST' )
{
	if( isset( $_POST['adzone'] ) )
	{
		if( !empty( $_POST['name'] ))
		{
			$arr = array(
				'name'          => $_POST['name'],
				'desc'          => $_POST['desc'],
				'size'          => $_POST['size'],
				'custom_w'      => $_POST['custom_w'],
				'custom_h'      => $_POST['custom_h'],
				'rotation'      => $_POST['rotation'],
				'rotation_time' => $_POST['rotation_time'],
				'atonce_h'      => $_POST['atonce_h'],
				'atonce_v'      => $_POST['atonce_v'],
				'banner_price'  => $_POST['banner_price'],
				'id'            => $_POST['edit']
			);
			
			
			if( !$_POST['edit'] )
			{
				// ADD NEW
				if( !pro_ad_create_adzone( $arr ) )
				{
					$suc[] = __('New adzone added.','wpproads');
				}
				else
				{
					$err[] = __('This adzone allready exists.','wpproads');
				}
			}
			else
			{
				// UPDATE
				pro_ad_update_adzone( $arr );
				$suc[] = __('Adzone updated.','wpproads');
			}
			
		}
		else
		{
			$err[] = __('Name is required.','wpproads');	
		}
	}
}



/*
 * DELETE ADZONE
*/
if( !empty( $_GET['del'] ))
{
	pro_ad_remove_adzone( $_GET['del'] );
	$suc[] = __('Adzone deleted.','wpproads');
}




/*
 * Load Advertisers
*/
$adzones = pro_ad_load_adzones( "ORDER BY name ASC" );

if( $_GET['edit'] )
{
	$adzone = pro_ad_load_adzones( "WHERE id = '".$_GET['edit']."' LIMIT 1" );
}
?>


<div class="header">
	<div class="icon32" style="background:url(<?php echo $wp_ads_path; ?>/images/ad_zone_32.png) no-repeat;"></div>
	<h2><?php _e('Ad Zones','wpproads'); ?></h2>
</div>
<div class="content">
	
    <?php
	/*
	 * ERRORS
	*/
	if( count( $err ) )
	{
		?>
		<div class="err">
        	<?php 
			foreach( $err as $error )
			{
				echo $error;
			}
			?>
        </div>
        <?php
	}
	
	/*
	 * SUCCES
	*/
	if( count( $suc ) )
	{
		?>
		<div class="suc">
        	<?php 
			foreach( $suc as $success )
			{
				echo $success;
			}
			?>
        </div>
        <?php
	}
	?>
    

	<div class="inner_cont">
    <?php
	if( $_GET['edit'] )
	{
		// If we are editing we dont use jQuery. We just link to the page again to remove edit links.
		?>
        <a href="?page=wp-pro-advertising&m=4&add=1" style="padding:0 5px;">
        	<img src="<?php echo $wp_ads_path; ?>/images/add_adzone.png" /> <?php _e('Add new adzone','wpproads'); ?>
        </a>
        <?php
	}
	else
	{
		// If we are not editing we use jQuery to slide the panel.
		?>
		<a id="add_new" style="padding:0 5px;"><img src="<?php echo $wp_ads_path; ?>/images/add_adzone.png" /> <?php _e('Add new adzone','wpproads'); ?></a>
        <?php
	}
	?>
        
        <div id="add_new_cont" <?php echo count( $err ) || $_GET['edit'] && !count( $suc ) || $_GET['add'] && !count( $suc ) ? '' : 'style="display:none;"'; ?>>
        	<div style="padding:5px;">
            	<form method="post" action="">
                	<input type="hidden" name="edit" value="<?php echo $_GET['edit']; ?>" />
                	<table border="0" cellpadding="0" cellspacing="0" width="100%">
                    	<tbody>
                        	<tr>
                            	<td><?php _e('Name','wpproads'); ?> *:</td>
                                <td><input name="name" value="<?php echo $adzone[0]->name; ?>" class="input" style="width:300px;"></td>
                            </tr>
                            
                            <tr>
                            	<td><?php _e('Description','wpproads'); ?>:</td>
                                <td>
                                	<textarea name="desc" class="input" style="width:312px; height:50px; font-size:11px;"><?php echo $adzone[0]->description; ?></textarea>
                                </td>
                            </tr>
                            
                            <tr>
                            	<td><?php _e('Size','wpproads'); ?>:</td>
                                <td>
                                	<?php $size = $_GET['edit'] ? $adzone[0]->size : '468x60'; ?> 
                                	<select name="size" id="size_list" class="input" style="width:312px;">
                                    
                                        <option value="468x60" <?php echo empty( $size ) || $target == '468x60' ? 'selected="selected"' : ''; ?>>
                                        	IAB Full Banner (468 x 60)
                                        </option>
                                        <option value="120x600" <?php echo $size == '120x600' ? 'selected="selected"' : ''; ?>>
                                        	IAB Skyscraper (120 x 600)
                                        </option>
                                        <option value="728x90" <?php echo $size == '728x90' ? 'selected="selected"' : ''; ?>>
                                        	IAB Leaderboard (728 x 90)
                                        </option>
                                        <option value="300x250" <?php echo $size == '300x250' ? 'selected="selected"' : ''; ?>>
                                        	IAB Medium Rectangle (300 x 250)
                                        </option>
                                        <option value="120x90" <?php echo $size == '120x90' ? 'selected="selected"' : ''; ?>>
                                        	IAB Button 1 (120 x 90)
                                        </option>
                                        <option value="160x600" <?php echo $size == '160x600' ? 'selected="selected"' : ''; ?>>
                                        	IAB Wide Skyscraper (160 x 600)
                                        </option>
                                        <option value="120x60" <?php echo $size == '120x60' ? 'selected="selected"' : ''; ?>>
                                        	IAB Button 2 (120 x 60)
                                        </option>
                                        <option value="125x125" <?php echo $size == '125x125' ? 'selected="selected"' : ''; ?>>
                                        	IAB Square Button (125 x 125)
                                        </option>
                                        <option value="180x150" <?php echo $size == '180x150' ? 'selected="selected"' : ''; ?>>
                                        	IAB Rectangle (180 x 150)
                                        </option>
                                        
                                        <option value="custom" <?php echo $adzone[0]->custom ? 'selected="selected"' : ''; ?>>
                                        	Custom
                                        </option>
                                    </select>
                                </td>
                            </tr>
                            
                            <tr>
                            	<td colspan="2">
                                <div id="custom_size" <?php echo $adzone[0]->custom ? '' : 'style="display:none;"'; ?>>
                                	<table width="100%">
                                    <tr>
                                        <td width="195"><?php _e('Custom size','wpproads'); ?> *:</td>
                                        <td width="100">
                                        <?php
										if( $adzone[0]->custom )
										{
											$sz = explode('x', $adzone[0]->size);	
										}
										?>
                                        	<div><small><?php _e('Width','wpproads'); ?>:</small></div>
                                            <div><input name="custom_w" value="<?php echo $sz[0]; ?>" class="input" style="width:50px;"><small>Px.</small></div>
                                        </td>
                                        <td>
                                        	<div><small><?php _e('Height','wpproads'); ?>:</small></div>
                                            <div><input name="custom_h" value="<?php echo $sz[1]; ?>" class="input" style="width:50px;"><small>Px.</small></div>
                                        </td>
                                    </tr>
                                    </table>
                                </div>
                                </td>
                            </tr>
                            
                            
                            <tr>
                            	<td colspan="2"><div style="margin:20px 0 5px 0; font-weight:bold;"><?php _e('Adzone options','wpproads'); ?></div></td>
                            </tr>
                            
                            <tr>
                            	<td><?php _e('Rotate banners','wpproads'); ?>:</td>
                                <td>
                                	<?php $rotation = $_GET['edit'] ? $adzone[0]->rotation : '1'; ?> 
                                	<select name="rotation" class="input" style="width:162px;">
                                        <option value="0" <?php echo empty( $rotation ) || $rotation == 0 ? 'selected="selected"' : ''; ?>>
                                        	<?php _e('No','wpproads'); ?>
                                        </option>
                                        <option value="1" <?php echo $rotation == 1 ? 'selected="selected"' : ''; ?>>
                                        	<?php _e('Yes', 'wpproads'); ?>
                                        </option>
                                    </select>
                                </td>
                            </tr>
                            <tr>
                            	<td><?php _e('Rotation time','wpproads'); ?>:</td>
                                <td>
                                	<input name="rotation_time" value="<?php echo $adzone[0]->rotation_time; ?>" class="input" style="width:50px;"> 
                                    <small><em><?php _e('sec.','wpproads'); ?></em></small>
                                </td>
                            </tr>
                            
                            
                            <tr>
                            	<td colspan="2">
                                <div style="margin:5px 0 10px 0;">
                                    <a id="create_atonce" style="font-size:11px;"><?php _e('More Options','wpproads'); ?>...</a>
                                    <div id="atonce" <?php echo $adzone[0]->atonce ? '' : 'style="display:none;"'; ?> >
                                        <table width="100%">
                                        <tr>
                                            <td width="195"><?php _e('Multiple banners','wpproads'); ?> <br /><?php _e('at once','wpproads'); ?>:</td>
                                            <td width="100">
                                            <?php
                                            if( $adzone[0]->atonce )
                                            {
                                                $ao = explode('x', $adzone[0]->atonce);	
                                            }
                                            ?>
                                                <div><small><?php _e('Horizontal','wpproads'); ?>:</small></div>
                                                <div><input name="atonce_h" value="<?php echo $ao[0]; ?>" class="input" style="width:50px;"><small><?php _e('Ads','wpproads'); ?>.</small></div>
                                            </td>
                                            <td>
                                                <div><small><?php _e('Vertical','wpproads'); ?>:</small></div>
                                                <div><input name="atonce_v" value="<?php echo $ao[1]; ?>" class="input" style="width:50px;"><small><?php _e('Ads','wpproads'); ?>.</small></div>
                                            </td>
                                        </tr>
                                        <tr>
                                        	<td></td>
                                        	<td colspan="2">
                                            	<small style="color:#999;"><?php _e('Leave empty to show 1 banner at the time.','wpproads'); ?></small>
                                            </td>
                                        </tr>
                                        </table>
                                    </div>
                                </div>
                                </td>
                            </tr>
                            
                            
                            
                            
                            
                            <?php
							/*
							 * ADD-ON: Buy and Sell
							 *_______________________________________________________________________________________________________________
							 * adzone options
							*/
							if( function_exists( 'pro_ad_addon_show_buy_and_sell_link' ) )
							{
								?>
								<tr>
									<td colspan="2">
                                    	<div style="margin:20px 0 5px 0; font-weight:bold;"><?php _e('Buy and Sell Options','wpproads'); ?></div>
                                        
                                        <?php
										$bs_err = pro_ad_addon_buy_and_sell_select_configuration_check();
										if( $bs_err )
										{
											echo '<div class="err">'.$bs_err.'</div>';
										}
										?>
                                        
                                    </td>
								</tr>
								
                                <?php 
								if( !$bs_err )
								{
									$buy_sell_conf = pro_ad_addon_buy_and_sell_select_configuration();
									?>
                                    <tr>
                                        <td><?php _e('Banner price','wpproads'); ?>:</td>
                                        <td>
                                            <?php $banner_price = $_GET['edit'] ? $adzone[0]->banner_price : ''; ?>  <small></small>
                                            <input name="banner_price" value="<?php echo $banner_price; ?>" class="input" style="width:30px;"> 
                                            <small><?php echo $buy_sell_conf[0]->cur; ?> / <?php _e('day','wpproads'); ?></small>
                                        </td>
                                    </tr>
									<?php
								}
							}
							/*
							 *_______________________________________________________________________________________________________________
							*/
                            ?>
                            
                            
                            
                            <tr>
                            	<td colspan="2">
                                	<div style="margin:15px 0 0 0; color:#999;"><small>* <?php _e('Required fields','wpproads'); ?></small></div>
                                    <?php $label = $_GET['edit'] ? __('Update','wpproads') : __('Submit','wpproads'); ?>
                                	<div><input type="submit" name="adzone" value="<?php echo $label; ?> <?php _e('Adzone','wpproads'); ?>"></div>
                                </td>
                                
                            </tr>

                        </tbody>
                    </table>
                </form>
            </div>
        </div>
        
        
        
        
        
        
        
        
        <table border="0" cellpadding="0" cellspacing="0" width="100%">	
        	<thead>
            	<tr>
                	<th align="left" width="300"><div class="tb_r"><?php _e('Name','wpproads'); ?></div></th>
                    <th align="left" width="200"><div class="tb_r"><?php _e('Size','wpproads'); ?></div></th>
                    <th align="right"></th>
                    <th align="right"></th>
                    <th align="right"></th>
                </tr>
            </thead>
        	<tbody>
            	
				<?php
				$c = 0; 
				for( $i = 0; $i < count( $adzones ); $i++ )
				{
					$color = !$c ? '#F5F5F5' : '#FFFFFF';
					$class = !$c ? 'grey' : 'white';
					?> 
                    <tr>
                    	<td cl="<?php echo $color; ?>" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
							<a href="?page=wp-pro-advertising&m=4&edit=<?php echo $adzones[$i]->id; ?>"><?php echo $adzones[$i]->name; ?></a>
                        </td>
                        <td class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                        	<span style="font-size:11px;"><?php echo pro_ad_output_adzone_size( $adzones[$i]->size, $adzones[$i]->custom ); ?></span>
                        </td>
                        <td align="right" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                        	<a class="linked_b" id="linked_b_<?php echo $i; ?>" lb="<?php echo $i; ?>">
                                <img src="<?php echo $wp_ads_path; ?>/images/linked_banners.png" height="11px" /> <?php _e('Linked banners','wpproads'); ?>
                            </a>
                        </td>
                        <td align="right" width="100" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                        	<a class="adzone_code" id="adzone_code_<?php echo $i; ?>" name="dialog_<?php echo $i; ?>">
                                <img src="<?php echo $wp_ads_path; ?>/images/embed_icon.png" height="11px" /> <?php _e('Get code','wpproads'); ?>
                            </a>
                            <div id="dialog_<?php echo $i; ?>" title="ADZONE CODE" style="display:none;">
                                <p>
                                    <strong><?php _e('Template tag','wpproads'); ?></strong>
                                    <p style="font-size:10px; color:#666;">
                                    	<?php _e('If you want to use this ad zone on a fixed place inside your website, you can use this','wpproads'); ?> <em><?php _e('Template tag','wpproads'); ?></em>. <?php _e('Just copy the function into your website template, there where you want to show the banners','wpproads'); ?>.
                                    </p>
                                    <div>
                                    	<textarea class="input" style="width:100%; height:50px; font-size:10px;"><?php echo htmlentities( "<?php if( function_exists( 'pro_ad_display_adzone' ) ) echo pro_ad_display_adzone( ".$adzones[$i]->id." ); ?>" ); ?></textarea>
                                    </div>
                                </p>
                                
                                <p>
                                    <strong><?php _e('Post tag','wpproads'); ?></strong>
                                    <p style="font-size:10px; color:#666;">
                                    	<?php _e('If you want to show this ad zone into a single post/page you can use this','wpproads'); ?> <em><?php _e('Post tag','wpproads'); ?></em>. <?php _e("Just copy the shortcode into your post's textfield","wpproads"); ?>.
                                    </p>
                                    <div><textarea class="input" style="width:100%; height:50px; font-size:10px;">[pro_ad_display_adzone id="<?php echo $adzones[$i]->id; ?>"]</textarea></div>
                                </p>
                                
                                
                                <p>
                                	<strong><?php _e('Iframe tag', 'wpproads'); ?></strong>
                                    <p style="font-size:10px; color:#666;">
                                    	<?php _e('The Iframe tag allows you to export adzones to other websites. This way you can manage adzones on 1 site but have them displayed on multiple websites at the same time.','wpproads'); ?>
                                    </p>
                                    <div>
                                    	<?php $sz = explode('x', $adzones[$i]->size); ?>
                                    	<textarea class="input" style="width:100%; height:50px; font-size:10px;"><?php echo htmlentities( '<iframe frameborder="0" src="'.$wp_ads_path.'includes/api/load_adzone.php?zoneID='.$adzones[$i]->id.'" width="'.$sz[0].'" height="'.$sz[1].'" scrolling="no"></iframe>' ); ?></textarea>
                                    </div>
                                </p>
                            </div>
                            <!-- end dialog -->
                        </td>
                        <td align="right" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                        	<a class="remove_btn" id="remove_<?php echo $i; ?>" name="dialog_rmov_<?php echo $i; ?>" zone="<?php echo $adzones[$i]->id; ?>">
                                <img src="<?php echo $wp_ads_path; ?>/images/remove_icon.png" height="13px" />
                            </a>
                            <div id="dialog_rmov_<?php echo $i; ?>" title="<?php _e('REMOVE ADZONE','wpproads'); ?>" style="display:none;">
                                <p>
                                	<strong><?php _e('Are you sure you want to remove this Adzone','wpproads'); ?>?</strong>
                                    <div style="font-size:16px;"><?php echo $adzones[$i]->name; ?></div>
                                </p>
                            </div>
                            <!-- end dialog -->
                        </td>
                    </tr>
                    <tr>
                    	<td colspan="4">
                        	<div id="linked_banners_<?php echo $i; ?>" style="display:none; padding:5px; font-size:11px;">
                            	<div style="margin:0 0 0 30px; border-left:dotted 1px #999;">
                                	
                                    <?php
									global $wpdb;
									$banners = $wpdb->get_results("SELECT b.*, l.adzone_id 
																   FROM 
																	 
																   " . $wpdb->prefix . "ad_pro_system_banners b, 
																   " . $wpdb->prefix . "ad_pro_system_linked l 
																   
																   WHERE 
																   l.banner_id = b.id AND 
																   l.adzone_id = '".$adzones[$i]->id."'
																   
																   ORDER BY b.id DESC");
																   					   
									for( $b = 0; $b < count( $banners ); $b++ )
									{
										$advertiser = pro_ad_load_advertisers( "WHERE id = '".$banners[$b]->advertiser_id."' LIMIT 1" );
										$campaign   = pro_ad_load_campaigns( "WHERE id = '".$banners[$b]->campaign_id."' LIMIT 1" );
										?>
										<!-- LOOP -->
										<div>
											<div style="border-bottom:dotted 1px #999; height:1px; width:20px; padding:20px 0 0 0; float:left;"></div>
											<div style="float:left; padding:10px 0 0 10px;">
												<img src="<?php echo $wp_ads_path; ?>/images/advertiser_icon.png" height="10px" /> 
												<?php echo $advertiser[0]->name; ?> &raquo; 
												<img src="<?php echo $wp_ads_path; ?>/images/folder_open.png" height="10px" />
												<?php echo $campaign[0]->name; ?> &raquo; 
												<img src="<?php echo $wp_ads_path; ?>/images/banner_icon.png" height="10px" />
												<?php echo $banners[$b]->name; ?>
											</div>
											<div style="clear:both;"></div>
										</div>
										<!-- // -->
										<?php	
									}
									?>
                                    
                                </div>
                            </div>
                        </td>
                    </tr>
                    <?php
					$c++;
					$c = $c > 1 ? 0 : $c;
				}
				?>
            </tbody>
        </table>
    </div>
</div>
<!-- end content -->



<script type="text/javascript">
jQuery(document).ready(function($) {
	
	$('#add_new').click(function(){
		$('#add_new_cont').slideToggle();
	});
	
	$('#create_atonce').click(function(){
		$('#atonce').slideToggle();
	});
	
	
	
	$('.td_r').mouseover(function(){
		$('.' + this.id).css('background-color','#FFFFEB')
	});
	
	$('.td_r').mouseout(function(){
		$('.' + this.id).css('background-color', $('#' + this.id).attr('cl'))
	});
	
	
	
	$('#size_list').change(function(){
	
		var val = $('#size_list').val();
		if( val == 'custom')
		{
			$('#custom_size').show();
		}
		else
		{
			$('#custom_size').hide();
		}
	});
	
	
	
	
	$('.linked_b').click(function(){
		var lb = $('#' + this.id).attr('lb');
		$('#linked_banners_' + lb).slideToggle();
	});
	
	
	
	
	
	/*
	 * POPUP
	*/
	$('.adzone_code').click(function() {
		
		var id = $('#'+this.id).attr('name');
			
		$("#"+id).dialog({
			resizable: false,
			height:350,
			width:600,
			modal: true,
			buttons: {
					
					Close: function() {
						$(this).dialog('close');
					}
			}
		});
	});
	
	
	$('.remove_btn').click(function() {
		
		var id  = $('#'+this.id).attr('name');
		var del = $('#'+this.id).attr('zone');
			
		$("#"+id).dialog({
			resizable: false,
			height:250,
			width:400,
			modal: true,
			buttons: {
					'<?php _e('YES REMOVE','wpproads'); ?>': function() {
						window.location = '?page=wp-pro-advertising&m=4&del=' + del
						$(this).dialog('close');
					},
					Cancel: function() {
						$(this).dialog('close');
					}
			}
		});
	});
	
});
</script>