<?php
if( $_SERVER['REQUEST_METHOD'] == 'POST' )
{
	if( isset( $_POST['campaign'] ) )
	{
		if( !empty( $_POST['name'] ))
		{
			if( !empty( $_POST['aid'] ))
			{
				$arr = array(
					'name'       => $_POST['name'],
					'start_date' => $_POST['start_date'],
					'end_date'   => $_POST['end_date'],
					'status'     => $_POST['status'],
					'aid'        => $_POST['aid'],
					'id'         => $_POST['edit']
				);
				
				
				if( !$_POST['edit'] )
				{
					// ADD NEW
					if( !pro_ad_create_campaign( $arr ) )
					{
						$suc[] = __('New campaign added.','wpproads');
					}
					else
					{
						$err[] = __('This campaign allready exists.','wpproads');
					}
				}
				else
				{
					// UPDATE
					pro_ad_update_campaign( $arr );
					$suc[] = __('Campaign updated.','wpproads');
				}
			}
			else
			{
				$err[] = __('No advertiser selected. A campaign needs to be linked to an advertiser.','wpproads');
			}
			
		}
		else
		{
			$err[] = __('Name is required.','wpproads');	
		}
	}
}




/*
 * DELETE CAMPAIGN
*/
if( !empty( $_GET['del'] ))
{
	pro_ad_remove_campaign( $_GET['del'] );
	$suc[] = __('Campaign deleted.','wpproads');
}




$advertisers = pro_ad_load_advertisers( "ORDER BY name ASC" );

/*
 * Get current advertiser
*/
if( $_GET['aid'] )
{
	$advertiser = pro_ad_load_advertisers( "WHERE id = '".$_GET['aid']."' LIMIT 1" );
}
else
{
	$advertiser = pro_ad_load_advertisers( "ORDER BY name ASC LIMIT 1" );
}

/*
 * Load Campaigns
*/
$campaigns  = pro_ad_load_campaigns( "WHERE advertiser_id  = '".$advertiser[0]->id."' ORDER BY id DESC" );

if( $_GET['edit'] )
{
	$campaign = pro_ad_load_campaigns( "WHERE id = '".$_GET['edit']."' LIMIT 1" );
}
?>


<div class="header">
	<div class="icon32" style="background:url(<?php echo $wp_ads_path; ?>/images/campaign_icon.png) no-repeat;"></div>
	<div style="float:left;"><h2><?php _e('Campaigns','wpproads'); ?></h2></div>
    <div style="float:left; margin:22px 0 0 -40px;">
    	<a class="dropdown" id="dropdown">
        	<img src="<?php echo $wp_ads_path; ?>/images/advertiser_icon.png" height="10px" /> <?php _e('Advertiser','wpproads'); ?>: <?php echo $advertiser[0]->name; ?>
        </a>
        <div class="dropdown_cont" id="dropdown_cont">
        	<div style="margin:10px 0 0 0;">
            	<strong><?php _e('Show campaigns for','wpproads'); ?>:</strong>
            </div>
            <div style="width:200px; height:240px; padding:5px; overflow:auto; background:#FFF; border:solid 1px #DDDDDD;">
            	
            <?php
			for( $i = 0; $i < count( $advertisers ); $i++ )
			{
				?>
            	<div>
                    <a href="?page=wp-pro-advertising&m=2&aid=<?php echo $advertisers[$i]->id; ?>">
                    	<img src="<?php echo $wp_ads_path; ?>/images/advertiser_icon.png" height="10px" /> <?php echo $advertisers[$i]->name; ?>
                    </a>
                </div>
                <?php
			}
			?>
                
            </div>
        </div>
    </div>
    <div style="clear:both;"></div>
</div>




<div class="content">

	<?php
	/*
	 * ERRORS
	*/
	if( count( $err ) )
	{
		?>
		<div class="err">
        	<?php 
			foreach( $err as $error )
			{
				echo $error;
			}
			?>
        </div>
        <?php
	}
	
	/*
	 * SUCCES
	*/
	if( count( $suc ) )
	{
		?>
		<div class="suc">
        	<?php 
			foreach( $suc as $success )
			{
				echo $success;
			}
			?>
        </div>
        <?php
	}
	?>


	<div class="inner_cont">
    	
    <?php
	if( $_GET['edit'] )
	{
		// If we are editing we dont use jQuery. We just link to the page again to remove edit links.
		?>
        <a href="?page=wp-pro-advertising&m=2&aid=<?php echo $advertiser[0]->id; ?>&add=1" style="padding:0 5px;">
        	<img src="<?php echo $wp_ads_path; ?>/images/add_folder.png" /> <?php _e('Add new campaign','wpproads'); ?>
        </a>
        <?php
	}
	else
	{
		// If we are not editing we use jQuery to slide the panel.
		?>
		<a id="add_new" style="padding:0 5px;">
        	<img src="<?php echo $wp_ads_path; ?>/images/add_folder.png" /> <?php _e('Add new campaign','wpproads'); ?>
        </a>
        <?php
	}
	?>
    
		
        
        
        
        <div id="add_new_cont" <?php echo count( $err ) || $_GET['edit'] && !count( $suc ) || $_GET['add'] && !count( $suc ) ? '' : 'style="display:none;"'; ?>>
        	<div style="padding:5px;">
            	<form method="post" action="">
                	<input type="hidden" name="aid" value="<?php echo $advertiser[0]->id; ?>" />
                    <input type="hidden" name="edit" value="<?php echo $_GET['edit']; ?>" />
                	<table border="0" cellpadding="0" cellspacing="0" width="100%">
                    	<tbody>
                        	<tr>
                            	<td><?php _e('Name','wpproads'); ?> *:</td>
                                <td>
                                	<?php $name = $_GET['edit'] ? $campaign[0]->name : $advertiser[0]->name. ' - Default Campaign'; ?>
                                	<input name="name" value="<?php echo $name; ?>" class="input" style="width:300px;">
                                </td>
                            </tr>
                            <tr>
                            	<td><?php _e('Dates','wpproads'); ?>:</td>
                                <td>
                                	<div style="margin:10px 0 0 0;"><small><?php _e('Start date','wpproads'); ?></small></div>
                                    <?php
									$sdate = $_GET['edit'] ? date('d.m.Y', $campaign[0]->start_date) : date('d.m.Y', time());
									$edate = $_GET['edit'] && !empty( $campaign[0]->end_date ) ? date('d.m.Y', $campaign[0]->end_date) : '';
									?>
                                    <div><input id="start_date" readonly="readonly" name="start_date" value="<?php echo $sdate; ?>" class="input" style="width:150px;"></div>
                                    <div><small><?php _e('End date','wpproads'); ?> <em style="color:#999;">(<?php _e("don't expire? leave empty","wpproads"); ?>.)</em></small></div>
                                    <div><input id="end_date" readonly="readonly" name="end_date" value="<?php echo $edate; ?>" class="input" style="width:150px;"></div>
                                </td>
                            </tr>
                            
                            <?php
							if( $_GET['edit'] )
							{
							?>
                            <tr>
                            	<td><?php _e('Status','wpproads'); ?>:</td>
                                <td>
                                	<div style="margin:10px 0 0 0; font-size:11px;">
                                    <?php
									if( !empty( $campaign[0]->end_date ) && $campaign[0]->end_date < time() )
									{
										_e('Ended','wpproads');
									}
									else
									{
										$status = $_GET['edit'] ? $campaign[0]->status : 1; 
										?>
                                        <select name="status" class="input" style="width:162px;">
                                            <option value="1" <?php echo empty( $status ) || $status == 1 ? 'selected="selected"' : ''; ?>><?php _e('Running','wpproads'); ?></option>
                                            <option value="2" <?php echo $status == 2 ? 'selected="selected"' : ''; ?>><?php _e('Paused','wpproads'); ?></option>
                                        </select>
                                        <?php
									}
									?>
                                    </div>
                                </td>
                            </tr>
                            <?php
							}
							?>
                            <tr>
                            	<td colspan="2">
                                	<div style="margin:15px 0 0 0; color:#999;"><small>* <?php _e('Required fields','wpproads'); ?></small></div>
                                    <?php $label = $_GET['edit'] ? __('Update','wpproads') : __('Submit','wpproads'); ?>
                                	<div><input type="submit" name="campaign" value="<?php echo $label; ?> <?php _e('Campaign','wpproads'); ?>"></div>
                                </td>
                                
                            </tr>
                        </tbody>
                    </table>
                </form>
            </div>
        </div>
        
        
        
        
        <table border="0" cellpadding="0" cellspacing="0" width="100%">	
        	<thead>
            	<tr>
                	<th align="left"><div class="tb_r"><?php _e('Name','wpproads'); ?></div></th>
                    <th align="left"><div class="tb_r"><?php _e('Status','wpproads'); ?></div></th>
                    <th></th>
                    <th></th>
                </tr>
            </thead>
        	<tbody>
            	<?php
				$c = 0; 
				for( $i = 0; $i < count( $campaigns ); $i++ )
				{
					$color = !$c ? '#F5F5F5' : '#FFFFFF';
					$class = !$c ? 'grey' : 'white';
					?> 
                    <tr>
                    	<td width="400" cl="<?php echo $color; ?>" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
							<a href="?page=wp-pro-advertising&m=2&aid=<?php echo $advertiser[0]->id; ?>&edit=<?php echo $campaigns[$i]->id; ?>">
								<?php echo $campaigns[$i]->name; ?>
                            </a>
                        </td>
                        <td width="150" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                        	<?php echo pro_ad_output_campaign_status( $campaigns[$i]->status, $campaigns[$i]->start_date, $campaigns[$i]->end_date ); ?>
                        </td>
                        <td class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                        	<a href="?page=wp-pro-advertising&m=3&aid=<?php echo $advertiser[0]->id; ?>&cid=<?php echo $campaigns[$i]->id; ?>&add=1">
                                <img src="<?php echo $wp_ads_path; ?>/images/add_banner_icon.png" height="13px" /> <?php _e('Add new banner','wpproads'); ?>
                            </a><br />
                            <a href="?page=wp-pro-advertising&m=3&aid=<?php echo $advertiser[0]->id; ?>&cid=<?php echo $campaigns[$i]->id; ?>">
                                <img src="<?php echo $wp_ads_path; ?>/images/banner_icon.png" height="13px" /> <?php _e('Banners','wpproads'); ?>
                            </a>
                        </td>
                        <td align="right" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                            <a class="remove_btn" id="remove_<?php echo $i; ?>" name="dialog_rmov_<?php echo $i; ?>" zone="<?php echo $campaigns[$i]->id; ?>">
                                <img src="<?php echo $wp_ads_path; ?>/images/remove_icon.png" height="13px" />
                            </a>
                            <div id="dialog_rmov_<?php echo $i; ?>" title="<?php _e('REMOVE CAMPAIGN','wpproads'); ?>" style="display:none;">
                                <p>
                                    <strong><?php _e('Are you sure you want to remove this Campaign','wpproads'); ?>?</strong>
                                    <div style="font-size:16px;">
										<?php echo $campaigns[$i]->name; ?>
                                    </div>
                                </p>
                            </div>
                            <!-- end dialog -->
                        </td>
                    </tr>
                    <?php
					$c++;
					$c = $c > 1 ? 0 : $c;
				}
				?>
            </tbody>
        </table>
    </div>
</div>
<!-- end content -->



<script type="text/javascript">
jQuery(document).ready(function($) {
	
	
	
	
	$('#add_new').click(function(){
		$('#add_new_cont').slideToggle();
	});
	
	
	$('#dropdown').click(function(){
		$('#dropdown_cont').slideToggle();
	});
	
	
	$("#start_date").datepicker({dateFormat: 'dd.mm.yy', minDate: 0});
	$("#end_date").datepicker({dateFormat: 'dd.mm.yy', minDate: -1});
	
	
	$('.td_r').mouseover(function(){
		$('.' + this.id).css('background-color','#FFFFEB')
	});
	
	$('.td_r').mouseout(function(){
		$('.' + this.id).css('background-color', $('#' + this.id).attr('cl'))
	});
	
	
	
	
	/*
	 * POPUP
	*/
	$('.remove_btn').click(function() {
		
		var id  = $('#'+this.id).attr('name');
		var del = $('#'+this.id).attr('zone');
			
		$("#"+id).dialog({
			resizable: false,
			height:250,
			width:400,
			modal: true,
			buttons: {
					'<?php _e('YES REMOVE','wpproads'); ?>': function() {
						window.location = '?page=wp-pro-advertising&m=2&aid=<?php echo $advertiser[0]->id; ?>&del=' + del
						$(this).dialog('close');
					},
					Cancel: function() {
						$(this).dialog('close');
					}
			}
		});
	});

});
</script>