<?php

/*
 * Load Advertisers
*/
$advertisers = pro_ad_load_advertisers( "ORDER BY name ASC" );

if( !empty( $_POST['from'] ) && !empty( $_POST['till'] ) )
{
	$dt = explode('.', $_POST['from']);
	$sdate = mktime(0,0,0,$dt[1],$dt[0],$dt[2]);
	$dt = explode('.', $_POST['till']);
	$edate = mktime(23,59,59,$dt[1],$dt[0],$dt[2]);
	
	$range = $sdate.'-'.$edate;
}
else
{
	$range = 0;
}
?>


<div class="header">
	<div class="icon32" style="background:url(<?php echo $wp_ads_path; ?>/images/statistics_icon.png) no-repeat;"></div>
	<h2><?php _e('Statistics','wpproads'); ?></h2>
</div>
<div class="content">
	
    <?php
	/*
	 * ERRORS
	*/
	if( count( $err ) )
	{
		?>
		<div class="err">
        	<?php 
			foreach( $err as $error )
			{
				echo $error;
			}
			?>
        </div>
        <?php
	}
	
	/*
	 * SUCCES
	*/
	if( count( $suc ) )
	{
		?>
		<div class="suc">
        	<?php 
			foreach( $suc as $success )
			{
				echo $success;
			}
			?>
        </div>
        <?php
	}
	?>
    

	<div class="inner_cont">
    <?php
	if( $_GET['edit'] )
	{
		// If we are editing we dont use jQuery. We just link to the page again to remove edit links.
		?>
        <a href="?page=wp-pro-ads-stats&s=1&add=1" style="padding:0 5px;">
        	<img src="<?php echo $wp_ads_path; ?>/images/new_statistics.png" /> <?php _e('Create new report','wpproads'); ?>
        </a>
        <?php
	}
	else
	{
		// If we are not editing we use jQuery to slide the panel.
		?>
		<a id="add_new" style="padding:0 5px;">
        	<img src="<?php echo $wp_ads_path; ?>/images/new_statistics.png" /> <?php _e('Create new report','wpproads'); ?>
        </a>
        <?php
	}
	?>
        
        <div id="add_new_cont" <?php echo count( $err ) || $_GET['edit'] && !count( $suc ) || $_GET['add'] && !count( $suc ) ? '' : 'style="display:none;"'; ?>>
        	<div style="padding:5px;">
            	<form method="post" action="">
                	
                    <div style="margin:10px 0 10px 0;">
                    	<a href="?page=wp-pro-ads-stats&s=1"><?php _e('All data','wpproads'); ?></a>
                    </div>
                    
                    <div><strong><?php _e('Select specific date range','wpproads'); ?></strong></div>
                    
                	<table border="0" cellpadding="0" cellspacing="0" width="100%">
                    	<tbody>
                        	<tr>
                            	<td><?php _e('From','wpproads'); ?>:</td>
                                <td><input name="from" id="start_date" readonly="readonly" value="<?php echo $_POST['from']; ?>" class="input" style="width:150px;"></td>
                            </tr>
                            <tr>
                            	<td><?php _e('Till','wpproads'); ?>:</td>
                                <td><input name="till" id="end_date" readonly="readonly" value="<?php echo $_POST['till']; ?>" class="input" style="width:150px;"></td>
                            </tr>
                            <tr>
                            	<td colspan="2">
                                	<div style="margin:10px 0 0 0;"><input type="submit" value="<?php _e('Update Report','wpproads'); ?>"></div>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </form>
            </div>
        </div>
        
        
        
        
        
        
        
        
        <table border="0" cellpadding="0" cellspacing="0" width="100%">	
        	<thead>
            	<tr>
                	<th align="left"><div class="tb_r"><?php _e('Name','wpproads'); ?></div></th>
                    <th align="left"><?php _e('Impr','wpproads'); ?>.</th>
                    <th align="left"><?php _e('Clicks','wpproads'); ?></th>
                    <th align="left"><?php _e('CTR','wpproads'); ?></th>
                </tr>
            </thead>
        	<tbody>
            	
				<?php
				$c = 0; 
				for( $i = 0; $i < count( $advertisers ); $i++ )
				{
					$color = !$c ? '#F5F5F5' : '#FFFFFF';
					$class = !$c ? 'grey' : 'white';
					
					$stats = pro_ad_load_stats( "WHERE advertiser_id = '".$advertisers[$i]->id."'" );
					?> 
                    <tr>
                    	<td cl="<?php echo $color; ?>" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
							<a class="advertiser" id="advertiser_<?php echo $advertisers[$i]->id; ?>" name="advertiser_camp_<?php echo $advertisers[$i]->id; ?>">
                            	<img src="<?php echo $wp_ads_path; ?>/images/advertiser_icon.png" height="10px" />
								<?php echo $advertisers[$i]->name; ?> 
                            </a>
                        </td>
                        <td align="left" width="50" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                        	<div style="font-size:11px;">
                            	<?php 
								// IMPRESSIONS
									$data = pro_ad_count_stats( $stats, $range );
									echo $data['impr'];  
								?>
                            </div>
                        </td>
                        <td align="left" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                        	<div style="font-size:11px;">
                            	<?php 
								// CLICKS
									$data = pro_ad_count_stats( $stats, $range );
									echo $data['clicks'];  
								?>
                            </div>
                        </td>
                        <td align="left" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                            <div style="font-size:11px;">
								<?php
                                // CTR
									if( !empty( $data['clicks'] ) && !empty( $data['impr'] ) && $data['impr'] > 0 )
									{
										$ctr =  $data['clicks'] / $data['impr'] * 100;
										echo round($ctr,2).'%';
									}
									else
									{
										echo '0%';	
									}
                                ?>
                            </div>
                        </td>
                    </tr>
                    
                    <!-- CAMPAIGN -->
                    <?php
					$campaigns = pro_ad_load_campaigns( "WHERE advertiser_id = '".$advertisers[$i]->id."' ORDER BY name ASC" );
					for( $cp = 0; $cp < count( $campaigns ); $cp++ )
					{
						$stats = pro_ad_load_stats( "WHERE campaign_id = '".$campaigns[$cp]->id."'" );
						?>
                        <tr>
                            <td class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                            	<div style="margin:0 0 0 10px; border-left:dotted 1px #999;">
                                	
                                    <div style="border-bottom:dotted 1px #999; height:1px; width:8px; padding:10px 0 0 0; float:left;"></div>
                                    <div style="float:left; padding:5px 0 0 5px;">
                                        <a class="campaign" id="campaign_<?php echo $campaigns[$cp]->id; ?>" name="campaign_ban_<?php echo $campaigns[$cp]->id; ?>">
                                            <img src="<?php echo $wp_ads_path; ?>/images/folder_open.png" height="10px" />
                                            <?php echo $campaigns[$cp]->name; ?>
                                        </a>
                                    </div>
                                    <div style="clear:both;"></div>
                                </div>
                            </td>
                            <td width="50" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                            	<div style="font-size:11px;">
                                <?php 
								// IMPRESSIONS
									$data = pro_ad_count_stats( $stats, $range );
									echo $data['impr'];  
								?>
                                </div>
                            </td>
                            <td class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                            	<div style="font-size:11px;">
								<?php 
								// CLICKS
									$data = pro_ad_count_stats( $stats, $range );
									echo $data['clicks']; 
								?>
                                </div>
                            </td>
                            <td class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                            	<div style="font-size:11px;">
                                <?php
                                // CTR
									if( !empty( $data['clicks'] ) && !empty( $data['impr'] ) && $data['impr'] > 0 )
									{
										$ctr =  $data['clicks'] / $data['impr'] * 100;
										echo round($ctr,2).'%';
									}
									else
									{
										echo '0%';	
									}
                                ?>
                                </div>
                            </td>
                        </tr>
                        <!-- campaign -->
                        
                        
                        <!-- BANNERS -->
                        <?php
                        $banners = pro_ad_load_banners( "WHERE advertiser_id = '".$advertisers[$i]->id."' AND campaign_id = '".$campaigns[$cp]->id."' ORDER BY name ASC" );
						for( $b = 0; $b < count( $banners ); $b++ )
						{
							$stats = pro_ad_load_stats( "WHERE banner_id = '".$banners[$b]->id."'" );
							?>
							<tr>
								<td class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
									<div style="margin:0 0 0 25px; border-left:dotted 1px #999;">
										
										<div style="border-bottom:dotted 1px #999; height:1px; width:8px; padding:10px 0 0 0; float:left;"></div>
										<div style="float:left; padding:5px 0 0 5px;">
											<a>
												<img src="<?php echo $wp_ads_path; ?>/images/banner_icon.png" height="10px" />
												<?php 
												echo $banners[$b]->name; 
												if( !empty( $banners[$b]->html ) )
												{
													?>
                                                    * <small style="color:#999; margin:0 0 0 5px;">(* <?php _e('HTML banner. Clicks cannot be tracked','wpproads'); ?>.)</small>
                                                    <?php	
												}
												?>
											</a>
										</div>
										<div style="clear:both;"></div>
									</div>
								</td>
                                <td width="50" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                                	<div style="font-size:11px;">
                                    <?php 
									// IMPRESSIONS
										$data = pro_ad_count_stats( $stats, $range );
										echo $data['impr'];  
									?>
                                    </div>
                                </td>
								<td class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                                	<div style="font-size:11px;">
                                    <?php 
									// CLICKS
										$data = pro_ad_count_stats( $stats, $range );
										echo !empty( $banners[$b]->html ) ? '-' : $data['clicks'];
										//print_r( unserialize(stripslashes( $stats[0]->clicks )) ) 
									?>
                                    </div>
                                </td>
								<td class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                                	<div style="font-size:11px;">
                                    <?php
									// CTR
										if( !empty( $data['clicks'] ) && !empty( $data['impr'] ) && $data['impr'] > 0 )
										{
											$ctr =  $data['clicks'] / $data['impr'] * 100;
											echo round($ctr,2).'%';
										}
										else
										{
											echo '0%';	
										}
									?>
                                    </div>
                                </td>
							</tr>
                            <!-- banners -->
                            <?php
						}
					}
					
					
					$c++;
					$c = $c > 1 ? 0 : $c;
				}
				?>
            </tbody>
        </table>
    </div>
</div>
<!-- end content -->



<script type="text/javascript">
jQuery(document).ready(function($) {
	
	
	$('#add_new').click(function(){
		$('#add_new_cont').slideToggle();
	});
	
	
	$("#start_date").datepicker({dateFormat: 'dd.mm.yy'});
	$("#end_date").datepicker({dateFormat: 'dd.mm.yy'});
	
	
	
	$('.td_r').mouseover(function(){
		$('.' + this.id).css('background-color','#FFFFEB')
	});
	
	$('.td_r').mouseout(function(){
		$('.' + this.id).css('background-color', $('#' + this.id).attr('cl'))
	});
	
	
	
	/*
	 * POPUP
	*/
	$('.remove_btn').click(function() {
		
		var id  = $('#'+this.id).attr('name');
		var del = $('#'+this.id).attr('zone');
			
		$("#"+id).dialog({
			resizable: false,
			height:250,
			width:400,
			modal: true,
			buttons: {
					'<?php _e('YES REMOVE','wpproads'); ?>': function() {
						window.location = '?page=wp-pro-ads-stats&s=1&del=' + del
						$(this).dialog('close');
					},
					Cancel: function() {
						$(this).dialog('close');
					}
			}
		});
	});


});

</script>